Page MenuHomePhabricator

Add support for boosting keywords
Closed, ResolvedPublic

Description

Introduce a BoostFunctionFeature interface that keywords could implement when adding new rescore components to the query.

Event Timeline

dcausse triaged this task as Normal priority.May 22 2018, 3:49 PM
dcausse created this task.
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptMay 22 2018, 3:49 PM

Change 423925 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] [WIP] Add support for boosting keywords

https://gerrit.wikimedia.org/r/423925

Change 434551 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/GeoData@master] [cirrus] Implement BoostFunctionFeature

https://gerrit.wikimedia.org/r/434551

Change 423925 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add support for boosting keywords

https://gerrit.wikimedia.org/r/423925

Change 434551 merged by jenkins-bot:
[mediawiki/extensions/GeoData@master] [cirrus] Implement BoostFunctionFeature

https://gerrit.wikimedia.org/r/434551

debt closed this task as Resolved.Jun 14 2018, 8:13 PM
Vvjjkkii renamed this task from Add support for boosting keywords to 6hcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed dcausse as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 6hcaaaaaaa to Add support for boosting keywords.Jul 2 2018, 4:42 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to dcausse.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.